!set title=Aeropuerto
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=es
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=r
varcnt=29
prevarcnt=28
postvarcnt=0
replycnt=1
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!randitem París, Londres, Nueva York, Los Angeles, Pekín, Tokyo, Hong	Kong, Roma, Niza, Moscú, Shanghai, Singapur, Ginebra, Zurich, Bruselas,	Berlín, Montreal

val6=$(tmp0)
val7=h
tmp0=!randint 9, 15

val8=$[rint($(tmp0))]
tmp0=!randint 1, 11

val9=$[rint($(tmp0)*5)]
val10=$[rint($val8*60+$val9)]
tmp0=!char -2,-1 of 0$val9

val9=$(tmp0)
tmp0=!randitem 30,35,40,45,50

val11=$[rint($(tmp0))]
val12=$[rint($val10-$val11)]
tmp0=!randint 6, 11

val13=$[rint($(tmp0)*5)]
tmp0=!randint 3, 5

val14=$[rint($(tmp0)*5)]
tmp0=!randint 2, 5

val15=$[rint($(tmp0)*5)]
val16=$[rint($val13+$val14)]
val17=$[rint($val16+$val15)]
tmp0=!randint 1, 4

val18=$[rint($(tmp0))]
tmp0=!randint $val17+2, $val17+20

tmp1=!randint $val16+2, $val17-2

tmp2=!randint $val13+2, $val16-2

tmp3=!randint $val13-15, $val13-2

tmp4=!item $val18 of $(tmp0),	   $(tmp1),	   $(tmp2),	   $(tmp3)

val19=$[rint($(tmp4))]
val20=$[rint($val12-$val19)]
val21=$[rint(floor($val20/60))]
val22=$[rint($val20-60*$val21)]
tmp0=!char -2,-1 of 0$val22

val22=$(tmp0)
val23=$[rint(160)]
!readproc slib/draw/clock $val21:$val22,160,1,nosecond 
tmp0=$slib_out
val24=$(tmp0)
!readproc slib/lang/fname boy 
tmp0=$slib_out
val25=$(tmp0)
tmp0=!randint 3, 10

val26=$[rint($(tmp0))]
tmp0=!randint ($val26+1)*1.2, ($val26+1)*1.8

val27=$[rint($(tmp0))]
tmp0=!randint $val27*1.6, $val27*3

val28=$[rint($(tmp0))]
val29=$[rint(floor($val12/60))]
val30=$[rint($val12-60*$val29)]
tmp0=!char -2,-1 of 0$val30

val30=$(tmp0)
replytype1=menu
replyname1=Respuesta
replygood1=$val18;El autobús urbano, El autobús del aeropuerto,	Un taxi, Ninguno: ya es demasiado tarde
question=__EXECUTED_1692754_EXERCISE__
solution=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	<center><table border=0>	<tr><td>$val25 debe coger un vuelo para $val6 a las $val8$val7$val9.	Debe estar en el aeropuerto al menos $val11 minutos	antes del despegue.	<p>Para ir al aeropuerto puede elegir entre: 	<ul>	<li>El autobús urbano, que tarda $val17 minutos. Precio: $val26 euros.	<li>El autobús del aeropuerto, que tarda $val16 minutos. Precio: $val27 euros.	<li>Un taxi, que tarda $val13 minutos. Precio: $val28 euros.	</ul>	<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;	<td> 
!read oef/draw.phtml $val23,$val23 \
$val24 
$()	</table></center> <p>	¿Cuál es el medio más barato para ir al aeropuerto?	<p><center> 
!read oef/embed.phtml reply 1 
$() </center>	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()Son las $val21$val7$val22.	$val25 debe llegar al aeropuerto a las $val29$val7$val30. Por tanto tiene $val19 minutos	para llegar.
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,8,9,11,13,16,17,19,21,22,23,24,25,26,27,28,29,30
embedcnt=1
